Skip to main content
POST
/
payments
/
custom-provider
/
provider
Create new integration
curl --request POST \
  --url https://services.leadconnectorhq.com/payments/custom-provider/provider \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "name": "Company Paypal Integration",
  "description": "This payment gateway supports payments in India via UPI, Net banking, cards and wallets.",
  "paymentsUrl": "https://testpayment.paypal.com",
  "queryUrl": "https://testsubscription.paypal.com",
  "imageUrl": "https://testsubscription.paypal.com",
  "supportsSubscriptionSchedule": true
}
'
{
  "name": "Company Paypal Integration",
  "description": "This payment gateway supports payments in India via UPI, Net banking, cards and wallets.",
  "paymentsUrl": "https://testpayment.paypal.com",
  "queryUrl": "https://testsubscription.paypal.com",
  "imageUrl": "https://testsubscription.paypal.com",
  "_id": "662a44ad19a2a44d3cd9d749",
  "locationId": "Lk3nlfk4lxlelVEwcW",
  "marketplaceAppId": "65f0b217a05c774da7f1efa5",
  "deleted": true,
  "createdAt": "2023-11-20T10:23:36.515Z",
  "updatedAt": "2024-01-23T09:57:04.846Z",
  "paymentProvider": "{ live: { liveMode: true }, test: { liveMode: false, apiKey: \"y5ZQxryRFXZHvUJZdLXXXXXX\", publishableKey: \"rzp_test_zPRoVMLOa0A9wo\" }}",
  "traceId": "302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

locationId
string
required

Location id

Example:

"Lk3nlfk4lxlelVEwcW"

Body

application/json
name
string
required

The name of the custom provider

Example:

"Company Paypal Integration"

description
string
required

Description of payment gateway. Shown on the payments integrations page as subtext

Example:

"This payment gateway supports payments in India via UPI, Net banking, cards and wallets."

paymentsUrl
string
required

This url will be loaded in iFrame to start a payment session.

Example:

"https://testpayment.paypal.com"

queryUrl
string
required

The url used for querying payments related events. Ex. verify, refund, subscription etc.

Example:

"https://testsubscription.paypal.com"

imageUrl
string
required

Public image url for logo of the payment gateway displayed on the payments integrations page.

Example:

"https://testsubscription.paypal.com"

supportsSubscriptionSchedule
boolean
required

Whether the config supports subscription schedule or not. true represents config supports subscription schedule

Example:

true

Response

Successful response

name
string
required

The name of the custom provider

Example:

"Company Paypal Integration"

description
string
required

Description of payment gateway. Shown on the payments integrations page as subtext

Example:

"This payment gateway supports payments in India via UPI, Net banking, cards and wallets."

paymentsUrl
string
required

This url will be loaded in iFrame to start a payment session.

Example:

"https://testpayment.paypal.com"

queryUrl
string
required

The url used for querying payments related events. Ex. verify, refund, subscription etc.

Example:

"https://testsubscription.paypal.com"

imageUrl
string
required

Public image url for logo of the payment gateway displayed on the payments integrations page.

Example:

"https://testsubscription.paypal.com"

_id
string
required

The unique identifier for the custom provider.

Example:

"662a44ad19a2a44d3cd9d749"

locationId
string
required

Location id

Example:

"Lk3nlfk4lxlelVEwcW"

marketplaceAppId
string
required

The application id of marketplace

Example:

"65f0b217a05c774da7f1efa5"

deleted
boolean
required

Whether the config is deleted or not. true represents config is deleted

Example:

true

createdAt
string<date-time>
required

The creation timestamp of the custom provider.

Example:

"2023-11-20T10:23:36.515Z"

updatedAt
string<date-time>
required

The last update timestamp of the custom provider.

Example:

"2024-01-23T09:57:04.846Z"

paymentProvider
object

Payment provider details.

Example:

"{ live: { liveMode: true }, test: { liveMode: false, apiKey: \"y5ZQxryRFXZHvUJZdLXXXXXX\", publishableKey: \"rzp_test_zPRoVMLOa0A9wo\" }}"

traceId
string

Trace id of the custom provider.

Example:

"302d2cf4-1ba0-4bf5-bc3b-f8fa76fda58a"

Last modified on March 4, 2026